# This file is the input for generating the list of preferences
# for pc_display.cpp and pc_display.h.
#
# For information on how to add or modify a preference, please
# refer to the module documentation.
#
# Preferences cannot depend directly on FEATUREs, they must depend
# on the macro they define.
#
Collection:  PrefsCollectionDisplay
Macro name:  PCDISPLAY
Description: Display settings
Type:        normal

Preference:  CSSFamilySerif
Depends on:  
Section:     CSS Generic Font Family
Key:         Serif
Type:        string
Description: Face name for CSS family "serif"
Default:     ""

Preference:  CSSFamilySansserif
Depends on:  
Section:     CSS Generic Font Family
Key:         Sans-Serif
Type:        string
Description: Face name for CSS family "sans-serif"
Default:     ""

Preference:  CSSFamilyCursive
Depends on:  
Section:     CSS Generic Font Family
Key:         Cursive
Type:        string
Description: Face name for CSS family "cursive"
Default:     ""

Preference:  CSSFamilyFantasy
Depends on:  
Section:     CSS Generic Font Family
Key:         Fantasy
Type:        string
Description: Face name for CSS family "fantasy"
Default:     ""

Preference:  CSSFamilyMonospace
Depends on:  
Section:     CSS Generic Font Family
Key:         Monospace
Type:        string
Description: Face name for CSS family "monospace"
Default:     ""

Preference:  ForceEncoding
Depends on:  
Section:     User Prefs
Key:         Force Encoding
Type:        string
Description: Global overridden encoding
Default:     ""

Preference:  DefaultEncoding
Depends on:  
Section:     User Prefs
Key:         Fallback HTML Encoding
Type:        string
Description: Global default HTML encoding
Default:     ""

Preference:  MinFontSize
Depends on:  
Section:     User Prefs
Key:         Minimum Font Size
Type:        integer
Description: Minimum font size
Default:     DEFAULT_MINFONTSIZE

Preference:  MaxFontSize
Depends on:  
Section:     User Prefs
Key:         Maximum Font Size
Type:        integer
Description: Maximum font size
Default:     10000

Preference:  AllowScriptToResizeWindow
Depends on:  PREFS_HAVE_SCRIPT_ALLOW
Section:     User Prefs
Key:         Allow script to resize window
Type:        boolean
Description: Allow script to resize document window
Default:     TRUE

Preference:  AllowScriptToMoveWindow
Depends on:  PREFS_HAVE_SCRIPT_ALLOW
Section:     User Prefs
Key:         Allow script to move window
Type:        boolean
Description: Allow script to move document window
Default:     TRUE

Preference:  AllowScriptToRaiseWindow
Depends on:  PREFS_HAVE_SCRIPT_ALLOW
Section:     User Prefs
Key:         Allow script to raise window
Type:        boolean
Description: Allow script to bring document window to front
Default:     FALSE

Preference:  AllowScriptToLowerWindow
Depends on:  PREFS_HAVE_SCRIPT_ALLOW
Section:     User Prefs
Key:         Allow script to lower window
Type:        boolean
Description: Allow script to bring document window to background
Default:     FALSE

Preference:  AllowScriptToChangeStatus
Depends on:  PREFS_HAVE_SCRIPT_ALLOW
Section:     User Prefs
Key:         Allow script to change status
Type:        boolean
Description: Allow script to update status field
Default:     TRUE

Preference:  AllowScriptToReceiveRightClicks
Depends on:
Section:     User Prefs
Key:         Allow script to receive right clicks
Type:        boolean
Description: Allow script to capture right mouse button
Default:     TRUE

Preference:  AllowScriptToHideURL
Depends on:
Section:     User Prefs
Key:         Allow script to hide address
Type:        boolean
Description: Allowed script to hide URL field in popups
Default:     DEFAULT_POPUP_ALLOW_HIDE_URL

Preference:  FirstUpdateDelay
Depends on:  
Section:     User Prefs
Key:         First Update Delay
Type:        integer
Description: Time in milliseconds from the server response that we are prepared to with until we see anything painted. The higher, the likelier we do only a single good paint. The lower, the less yout have to wait to see something, but the more likely the first paint only has unusable contents. In general it's best to keep this high and instead work with "First Styled Update Delay" which is a slightly shorter timer.
Default:     DEFAULT_FIRST_UPDATE_DELAY

Preference:  StyledFirstUpdateTimeout
Depends on:  
Section:     User Prefs
Key:         Styled First Update Timeout
Type:        integer
Description: Time in milliseconds from the server response that we will delay a paint to make sure that the first paint has enough content to look good and meaningful. This timer will only be used if we have all known stylesheet data. Otherwise we will wait until "First Update Delay" has been reached. For this to be meaningful it has to be set to a value lower than "First Update Delay" to be meaningful.
Default:     DEFAULT_STYLED_FIRST_UPDATE_TIMEOUT

Preference:  UpdateDelay
Depends on:  
Section:     User Prefs
Key:         Update Delay
Type:        integer
Description: Delay in milliseconds between paints during page load. A value of 200 (ms) means we'll limit painting to 5 fps while the page is still loading. A high number here means faster page loads. A low number means high fps during page load but slower page loads.
Default:     DEFAULT_UPDATE_DELAY

Preference:  Scale
Depends on:  
Section:     User Prefs
Key:         Scale
Type:        integer
Description: Zoom factor (percent)
Default:     100

Preference:  DocumentMode
Depends on:  
Section:     User Prefs
Key:         Document Mode
Type:        integer
Description: CSS usage settings
Default:     CSS_FULL

Preference:  SavePasswordProtectedPages
Depends on:  SESSION_SUPPORT
Section:     User Prefs
Key:         Save Password Protected Pages
Type:        boolean
Description: Allow saving password protected pages to .win files
Default:     TRUE

Preference:  AutomaticSelectMenu
Depends on:  PREFS_HAVE_HOTCLICK
Section:     User Prefs
Key:         Automatic Select Menu
Type:        boolean
Description: Open the hotclick menu automatically after double click
Default:     DEFAULT_AUTOSELECTMENU

Preference:  SmoothScrolling
Depends on:  
Section:     User Prefs
Key:         Smooth Scrolling
Type:        boolean
Description: Enable smooth scrolling
Default:     DEFAULT_SMOOTH_SCROLLING

Preference:  SmoothDisplay
Depends on:  _SUPPORT_SMOOTH_DISPLAY_
Section:     User Prefs
Key:         Avoid Flicker
Type:        boolean
Description: Avoid flicker (double buffering)
Default:     TRUE

Preference:  EnableScrollbarColors
Depends on:  CSS_SCROLLBARS_SUPPORT
Section:     User Prefs
Key:         Enable Scrollbar Colors
Type:        boolean
Description: Enable IE CSS extension for colors on scrollbars
Default:     DEFAULT_CSS_SCROLLBARS

Preference:  AutoDropDown
Depends on:  _DIRECT_URL_WINDOW_
Section:     User Prefs
Key:         Auto Dropdown
Type:        boolean
Description: Drop-down auto completion
Default:     TRUE

Preference:  EnableStylingOnForms
Depends on:  
Section:     User Prefs
Key:         Enable Styling On Forms
Type:        boolean
Description: Enable CSS on forms.
Default:     DEFAULT_STYLING_ON_FORMS

Preference:  ScrollIsPan
Depends on:  GRAB_AND_SCROLL
Section:     User Prefs
Key:         Scroll Is Pan
Type:        boolean
Description: Enable "grab and scroll" mode
Default:     DEFAULT_SCROLL_IS_PAN

Preference:  MaximumMarqueeLoops
Depends on:  
Section:     User Prefs
Key:         Max Marquee Loops
Type:        integer
Description: Maximum number of loops for marquees (-1 for infinite)
Default:     DEFAULT_MARQUEE_LOOPS

Preference:  FlexRootMaxWidth
Depends on:  
Section:     User Prefs
Key:         FlexRoot Max Width
Type:        integer
Description: Max-width of flex-root (0 means disable flex-root)
Default:     DEFAULT_FLEXROOT_MAX_WIDTH

Preference:  FlexRootMinWidth
Depends on:  
Section:     User Prefs
Key:         FlexRoot Min Width
Type:        integer
Description: Min-width of flex-root (Ignored if FlexRootMaxWidth is 0. FlexRootMinWidth=0 means use viewport width)
Default:     0

Preference:  LimitParagraphWidth
Depends on:  
Section:     User Prefs
Key:         Limit Paragraph Width
Type:        boolean
Description: MSR-light, limit the width of a line to the size of the window
Default:     DEFAULT_PREFS_LIMIT_PARAGRAPH

Preference:  InitialYieldReflowTime
Depends on:  LAYOUT_YIELD_REFLOW
Section:     User Prefs
Key:         Initial Yield Reflow Time
Type:        integer
Description: Try to keep reflow time less than this value before returning to the message loop. Value 0 means yield off
Default:     0

Preference:  YieldReflowTimeIncreaseRate
Depends on:  LAYOUT_YIELD_REFLOW
Section:     User Prefs
Key:         Yield Reflow Time Increase Rate
Type:        integer
Description: How fast should the maximum reflow time increase if we cant manage inside that time.
Default:     10

Preference:  MaximumBytesTextarea
Depends on:  WIDGETS_LIMIT_TEXTAREA_SIZE
Section:     User Prefs
Key:         Max bytes textarea
Type:        integer
Description: Maximum bytes of content for a textarea
Default:     10000

Preference:  SSRMaxWidth
Depends on:  LAYOUT_USE_SSR_MAX_WIDTH_PREF
Section:     User Prefs
Key:         SSR Max Width
Type:        integer
Description: Max width in SSR/CSSR, effectively the column width
Default:     240

Preference:  ShowActiveFrame
Depends on:  
Section:     Extensions
Key:         Frames Show Active
Type:        boolean
Description: Show the active frame always
Default:     DEFAULT_FRAMES_SHOW_ACTIVE

Preference:  FramesEnabled
Depends on:  
Section:     Extensions
Key:         Frames
Type:        boolean
Description: Enable frames
Default:     TRUE

Preference:  IFramesEnabled
Depends on:  
Section:     Extensions
Key:         IFrames
Type:        boolean
Description: Enable iframes
Default:     TRUE

Preference:  PluginsEnabled
Depends on:  _PLUGIN_SUPPORT_
Section:     Extensions
Key:         Plugins
Type:        boolean
Description: Enable plugins
Default:     TRUE

Preference:  FlashEnabled
Depends on:  USE_FLASH_PREF
Section:     Extensions
Key:         Enable Flash
Type:        boolean
Description: Enable Flash plug-in
Default:     TRUE

Preference:  CanvasEnabled
Depends on:  CANVAS_SUPPORT
Section:     Extensions
Key:         Enable Canvas
Type:        boolean
Description: Enable Canvas support
Default:     TRUE

Preference:  LinkHasColor
Depends on:  
Section:     Link
Key:         Color
Type:        boolean
Description: Link appearance: Does link show in different color?
Default:     TRUE

Preference:  LinkHasUnderline
Depends on:  
Section:     Link
Key:         Underline
Type:        boolean
Description: Link appearance: Are links underlined?
Default:     DEFAULT_LINK_UNDERLINE

Preference:  LinkHasStrikeThrough
Depends on:  
Section:     Link
Key:         StrikeThrough
Type:        boolean
Description: Link appearance: Are links strike-throughed?
Default:     FALSE

Preference:  LinkHasFrame
Depends on:  
Section:     Link
Key:         Frame
Type:        boolean
Description: Link appearance: Does link have frame?
Default:     FALSE

Preference:  VisitedLinkHasColor
Depends on:  
Section:     Visited Link
Key:         Color
Type:        boolean
Description: Visited link appearance: Does link show in different color?
Default:     TRUE

Preference:  VisitedLinkHasUnderline
Depends on:  
Section:     Visited Link
Key:         Underline
Type:        boolean
Description: Visited link appearance: Are links underlined?
Default:     DEFAULT_LINK_UNDERLINE

Preference:  VisitedLinkHasStrikeThrough
Depends on:  
Section:     Visited Link
Key:         StrikeThrough
Type:        boolean
Description: Visited link appearance: Are links strike-throughed?
Default:     FALSE

Preference:  VisitedLinksState
Depends on:
Section:     Visited Link
Key:         Visited Links State
Type:        integer
Description: Preference to handle the usage of :visited pseudo class. 0 - disable, 1 - same domain only, 2 - enable
Default:     2

Preference:  InterpolateImages
Depends on:  PREFS_HAVE_INTERPOLATE_IMAGES
Section:     Multimedia
Key:         Interpolate Images
Type:        boolean
Description: Enable smooth zooming of images
Default:     DEFAULT_SMOOTH_IMAGE_ZOOM

Preference:  ImagesUseICC
Depends on:  EMBEDDED_ICC_SUPPORT
Section:     Multimedia
Key:         Use Embedded ICC Profiles
Type:        boolean
Description: Use any Embedded ICC Profile when rendering images
Default:     DEFAULT_USE_ICC_PROFILES

Preference:  SVGRenderingQuality
Depends on:  SVG_SUPPORT
Section:     SVG
Key:         Rendering Quality
Type:        integer
Description: Smoothness of curves in SVG
Default:     DEFAULT_SVG_RENDERING_QUALITY

Preference:  SVGTargetFrameRate
Depends on:  SVG_SUPPORT
Section:     SVG
Key:         Target Framerate
Type:        integer
Description: The target framerate in SVG
Default:     DEFAULT_SVG_TARGET_FRAMERATE

Preference:  UM_AuthorCSS
Depends on:  
Section:     User Display Mode
Key:         Author CSS
Type:        boolean
Description: Use author's CSS in User Mode
Default:     FALSE

Preference:  UM_AuthorFonts
Depends on:  
Section:     User Display Mode
Key:         Author Font and Colors
Type:        boolean
Description: Use author's fonts in User Mode
Default:     FALSE

Preference:  UM_UserCSS
Depends on:  
Section:     User Display Mode
Key:         User CSS
Type:        boolean
Description: Use user's CSS in User Mode
Default:     TRUE

Preference:  UM_UserFonts
Depends on:  
Section:     User Display Mode
Key:         User Font and Colors
Type:        boolean
Description: Use user's fonts in User Mode
Default:     TRUE

Preference:  UM_UserLinks
Depends on:  
Section:     User Display Mode
Key:         User Link Settings
Type:        boolean
Description: Use user's links in User Mode
Default:     TRUE

Preference:  DM_AuthorCSS
Depends on:  
Section:     Author Display Mode
Key:         Author CSS
Type:        boolean
Description: Use author's CSS in Document Mode
Default:     TRUE

Preference:  DM_AuthorFonts
Depends on:  
Section:     Author Display Mode
Key:         Author Font and Colors
Type:        boolean
Description: Use author's fonts in Document Mode
Default:     TRUE

Preference:  DM_UserCSS
Depends on:  
Section:     Author Display Mode
Key:         User CSS
Type:        boolean
Description: Use user's CSS in Document Mode
Default:     TRUE

Preference:  DM_UserFonts
Depends on:  
Section:     Author Display Mode
Key:         User Font and Colors
Type:        boolean
Description: Use user's fonts in Document Mode
Default:     FALSE

Preference:  DM_UserLinks
Depends on:  
Section:     Author Display Mode
Key:         User Link Settings
Type:        boolean
Description: Use user's links in Document Mode
Default:     TRUE

Preference:  RM1_FlexibleFonts
Depends on:  
Section:     RM1
Key:         fxf
Type:        integer
Description: Flexible fonts mode for SSR
Default:     RM1_FXF

Preference:  RM1_Small
Depends on:  
Section:     RM1
Key:         fsm
Type:        integer
Description: Font size in pixels for small for SSR
Default:     RM1_FSM

Preference:  RM1_Medium
Depends on:  
Section:     RM1
Key:         fme
Type:        integer
Description: Font size in pixels for medium for SSR
Default:     RM1_FME

Preference:  RM1_Large
Depends on:  
Section:     RM1
Key:         fla
Type:        integer
Description: Font size in pixels for large for SSR
Default:     RM1_FLA

Preference:  RM1_XLarge
Depends on:  
Section:     RM1
Key:         fxl
Type:        integer
Description: Font size in pixels for x-large for SSR
Default:     RM1_FXL

Preference:  RM1_XXLarge
Depends on:  
Section:     RM1
Key:         fxx
Type:        integer
Description: Font size in pixels for xx-large for SSR
Default:     RM1_FXX

Preference:  RM1_ColumnStretch
Depends on:  
Section:     RM1
Key:         tcs
Type:        integer
Description: Column stretch mode for SSR
Default:     2

Preference:  RM1_TableStrategy
Depends on:  
Section:     RM1
Key:         ttt
Type:        integer
Description: Table strategy for SSR
Default:     1

Preference:  RM1_FlexibleColumns
Depends on:  
Section:     RM1
Key:         tfc
Type:        integer
Description: Enable Flexible columns for SSR
Default:     1

Preference:  RM1_IgnoreRowspanWhenRestructuring
Depends on:  
Section:     RM1
Key:         tir
Type:        integer
Description: Ignore rowspan when restructuring the table for SSR
Default:     0

Preference:  RM1_TableMagic
Depends on:  
Section:     RM1
Key:         ttm
Type:        integer
Description: Enable content magic for SSR
Default:     RM1_TTM

Preference:  RM1_ShowImages
Depends on:  
Section:     RM1
Key:         isi
Type:        integer
Description: Show image mode for SSR
Default:     RM1_ISI

Preference:  RM1_RemoveOrnamentalImages
Depends on:  
Section:     RM1
Key:         iro
Type:        integer
Description: Remove ornamental images for SSR
Default:     1

Preference:  RM1_RemoveLargeImages
Depends on:  
Section:     RM1
Key:         irl
Type:        integer
Description: Remove large images for SSR
Default:     RM1_IRL

Preference:  RM1_UseAltForCertainImages
Depends on:  
Section:     RM1
Key:         iua
Type:        integer
Description: Use alternative text for certain images for SSR
Default:     1

Preference:  RM1_ShowIFrames
Depends on:  
Section:     RM1
Key:         rfu
Type:        integer
Description: Show iframes for SSR
Default:     2

Preference:  RM1_FlexibleImageSizes
Depends on:  
Section:     RM1
Key:         ifs
Type:        integer
Description: Flexible replaced content sizes mode for SSR
Default:     1

Preference:  RM1_AllowScrollbarsInIFrame
Depends on:  
Section:     RM1
Key:         asi
Type:        integer
Description: Allow scrollbar in iframes for SSR
Default:     0

Preference:  RM1_MinimumImageWidth
Depends on:  
Section:     RM1
Key:         imw
Type:        integer
Description: Minimum image width in percent for SSR
Default:     RM1_IMW

Preference:  RM1_Float
Depends on:  
Section:     RM1
Key:         ifl
Type:        integer
Description: Enable float for SSR
Default:     0

Preference:  RM1_DownloadImagesAsap
Depends on:  
Section:     RM1
Key:         ida
Type:        integer
Description: Download images ASAP for SSR
Default:     0

Preference:  RM1_ShowBackgroundImages
Depends on:  
Section:     RM1
Key:         ibs
Type:        integer
Description: Show background images for SSR
Default:     0

Preference:  RM1_AllowAggressiveWordBreaking
Depends on:  
Section:     RM1
Key:         awb
Type:        integer
Description: Allow aggressive word breaking for SSR
Default:     1

Preference:  RM1_SplitHideLongWords
Depends on:  
Section:     RM1
Key:         tsh
Type:        integer
Description: Split or hide long words for SSR
Default:     1

Preference:  RM1_HonorNowrap
Depends on:  
Section:     RM1
Key:         thn
Type:        integer
Description: Honour nowrap for SSR
Default:     0

Preference:  RM1_ConvertNbspIntoNormalSpace
Depends on:  
Section:     RM1
Key:         tcn
Type:        integer
Description: Convert nbsp into normal space for SSR
Default:     1

Preference:  RM1_MinimumTextColorContrast
Depends on:  
Section:     RM1
Key:         tcc
Type:        integer
Description: Minimum text color contrast (0-255) for SSR
Default:     70

Preference:  RM1_TextColorLight
Depends on:  
Section:     RM1
Key:         tcl
Type:        integer
Description: Light text color (24-bit RGB value) for SSR
Default:     OP_RGB(255,255,255)

Preference:  RM1_TextColorDark
Depends on:  
Section:     RM1
Key:         tcd
Type:        integer
Description: Dark text color (24-bit RGB value) for SSR
Default:     OP_RGB(0,0,0)

Preference:  RM1_HighlightBlocks
Depends on:  
Section:     RM1
Key:         shb
Type:        integer
Description: Highlight blocks for SSR
Default:     1

Preference:  RM1_AvoidInterlaceFlicker
Depends on:  
Section:     RM1
Key:         aif
Type:        integer
Description: Avoid interlace flicker for SSR
Default:     0

Preference:  RM1_HonorHidden
Depends on:  
Section:     RM1
Key:         mvd
Type:        integer
Description: Honour visibility:hidden and display:none for SSR
Default:     2

Preference:  RM1_CrossoverSize
Depends on:  
Section:     RM1
Key:         mcs
Type:        integer
Description: Crossover size in pixels for SSR
Default:     RM1_MCS

Preference:  RM1_AllowHorizontalScrollbar
Depends on:  
Section:     RM1
Key:         mas
Type:        integer
Description: Allow horizontal scrollbar for SSR
Default:     0

Preference:  RM1_DownloadAndApplyDocumentStyleSheets
Depends on:  
Section:     RM1
Key:         mds
Type:        integer
Description: Download and apply document style sheets mode for SSR
Default:     0

Preference:  RM1_ApplyModeSpecificTricks
Depends on:  
Section:     RM1
Key:         mst
Type:        integer
Description: Apply mode specific tricks for SSR
Default:     1

Preference:  RM1_RespondToMediaType
Depends on:  
Section:     RM1
Key:         mrm
Type:        integer
Description: Media type to respond to for SSR
Default:     1

Preference:  RM1_FramesPolicy
Depends on:  
Section:     RM1
Key:         mfp
Type:        integer
Description: Frames policy mode for SSR
Default:     1

Preference:  RM1_AbsolutelyPositionedElements
Depends on:  
Section:     RM1
Key:         ape
Type:        integer
Description: Absolutely positioned elements for SSR
Default:     1

Preference:  RM1_AbsolutePositioning
Depends on:  
Section:     RM1
Key:         map
Type:        integer
Description: Absolute positioning for SSR
Default:     1

Preference:  RM1_MediaStyleHandling
Depends on:  
Section:     RM1
Key:         msh
Type:        integer
Description: Media style handling for SSR
Default:     1

Preference:  RM2_FlexibleFonts
Depends on:  
Section:     RM2
Key:         fxf
Type:        integer
Description: Flexible fonts mode for CSSR
Default:     RM2_FXF

Preference:  RM2_Small
Depends on:  
Section:     RM2
Key:         fsm
Type:        integer
Description: Font size in pixels for small for CSSR
Default:     RM2_FSM

Preference:  RM2_Medium
Depends on:  
Section:     RM2
Key:         fme
Type:        integer
Description: Font size in pixels for medium for CSSR
Default:     RM2_FME

Preference:  RM2_Large
Depends on:  
Section:     RM2
Key:         fla
Type:        integer
Description: Font size in pixels for large for CSSR
Default:     RM2_FLA

Preference:  RM2_XLarge
Depends on:  
Section:     RM2
Key:         fxl
Type:        integer
Description: Font size in pixels for x-large for CSSR
Default:     RM2_FXL

Preference:  RM2_XXLarge
Depends on:  
Section:     RM2
Key:         fxx
Type:        integer
Description: Font size in pixels for xx-large for CSSR
Default:     RM2_FXX

Preference:  RM2_ColumnStretch
Depends on:  
Section:     RM2
Key:         tcs
Type:        integer
Description: Column stretch mode for CSSR
Default:     2

Preference:  RM2_TableStrategy
Depends on:  
Section:     RM2
Key:         ttt
Type:        integer
Description: Table strategy for CSSR
Default:     1

Preference:  RM2_FlexibleColumns
Depends on:  
Section:     RM2
Key:         tfc
Type:        integer
Description: Enable Flexible columns for CSSR
Default:     1

Preference:  RM2_IgnoreRowspanWhenRestructuring
Depends on:  
Section:     RM2
Key:         tir
Type:        integer
Description: Ignore rowspan when restructuring the table for CSSR
Default:     0

Preference:  RM2_TableMagic
Depends on:  
Section:     RM2
Key:         ttm
Type:        integer
Description: Enable content magic for CSSR
Default:     RM2_TTM

Preference:  RM2_ShowImages
Depends on:  
Section:     RM2
Key:         isi
Type:        integer
Description: Show image mode for CSSR
Default:     RM2_ISI

Preference:  RM2_RemoveOrnamentalImages
Depends on:  
Section:     RM2
Key:         iro
Type:        integer
Description: Remove ornamental images for CSSR
Default:     2

Preference:  RM2_RemoveLargeImages
Depends on:  
Section:     RM2
Key:         irl
Type:        integer
Description: Remove large images for CSSR
Default:     RM2_IRL

Preference:  RM2_UseAltForCertainImages
Depends on:  
Section:     RM2
Key:         iua
Type:        integer
Description: Use alternative text for certain images for CSSR
Default:     0

Preference:  RM2_ShowIFrames
Depends on:  
Section:     RM2
Key:         rfu
Type:        integer
Description: Show iframes for CSSR
Default:     2

Preference:  RM2_FlexibleImageSizes
Depends on:  
Section:     RM2
Key:         ifs
Type:        integer
Description: Flexible replaced content sizes mode for CSSR
Default:     1

Preference:  RM2_AllowScrollbarsInIFrame
Depends on:  
Section:     RM2
Key:         asi
Type:        integer
Description: Allow scrollbar in iframes for CSSR
Default:     0

Preference:  RM2_MinimumImageWidth
Depends on:  
Section:     RM2
Key:         imw
Type:        integer
Description: Minimum image width in percent for CSSR
Default:     RM2_IMW

Preference:  RM2_Float
Depends on:  
Section:     RM2
Key:         ifl
Type:        integer
Description: Enable float for CSSR
Default:     1

Preference:  RM2_DownloadImagesAsap
Depends on:  
Section:     RM2
Key:         ida
Type:        integer
Description: Download images ASAP for CSSR
Default:     0

Preference:  RM2_ShowBackgroundImages
Depends on:  
Section:     RM2
Key:         ibs
Type:        integer
Description: Show background images for CSSR
Default:     0

Preference:  RM2_AllowAggressiveWordBreaking
Depends on:  
Section:     RM2
Key:         awb
Type:        integer
Description: Allow aggressive word breaking for CSSR
Default:     1

Preference:  RM2_SplitHideLongWords
Depends on:  
Section:     RM2
Key:         tsh
Type:        integer
Description: Split or hide long words for CSSR
Default:     1

Preference:  RM2_HonorNowrap
Depends on:  
Section:     RM2
Key:         thn
Type:        integer
Description: Honour nowrap for CSSR
Default:     0

Preference:  RM2_ConvertNbspIntoNormalSpace
Depends on:  
Section:     RM2
Key:         tcn
Type:        integer
Description: Convert nbsp into normal space for CSSR
Default:     1

Preference:  RM2_MinimumTextColorContrast
Depends on:  
Section:     RM2
Key:         tcc
Type:        integer
Description: Minimum text color contrast (0-255) for CSSR
Default:     70

Preference:  RM2_TextColorLight
Depends on:  
Section:     RM2
Key:         tcl
Type:        integer
Description: Light text color (24-bit RGB value) for CSSR
Default:     OP_RGB(255,255,255)

Preference:  RM2_TextColorDark
Depends on:  
Section:     RM2
Key:         tcd
Type:        integer
Description: Dark text color (24-bit RGB value) for CSSR
Default:     OP_RGB(0,0,0)

Preference:  RM2_HighlightBlocks
Depends on:  
Section:     RM2
Key:         shb
Type:        integer
Description: Highlight blocks for CSSR
Default:     0

Preference:  RM2_AvoidInterlaceFlicker
Depends on:  
Section:     RM2
Key:         aif
Type:        integer
Description: Avoid interlace flicker for CSSR
Default:     0

Preference:  RM2_HonorHidden
Depends on:  
Section:     RM2
Key:         mvd
Type:        integer
Description: Honour visibility:hidden and display:none for CSSR
Default:     2

Preference:  RM2_CrossoverSize
Depends on:  
Section:     RM2
Key:         mcs
Type:        integer
Description: Crossover size in pixels for CSSR
Default:     RM2_MCS

Preference:  RM2_AllowHorizontalScrollbar
Depends on:  
Section:     RM2
Key:         mas
Type:        integer
Description: Allow horizontal scrollbar for CSSR
Default:     0

Preference:  RM2_DownloadAndApplyDocumentStyleSheets
Depends on:  
Section:     RM2
Key:         mds
Type:        integer
Description: Download and apply document style sheets mode for CSSR
Default:     1

Preference:  RM2_ApplyModeSpecificTricks
Depends on:  
Section:     RM2
Key:         mst
Type:        integer
Description: Apply mode specific tricks for CSSR
Default:     2

Preference:  RM2_RespondToMediaType
Depends on:  
Section:     RM2
Key:         mrm
Type:        integer
Description: Media type to respond to for CSSR
Default:     1

Preference:  RM2_FramesPolicy
Depends on:  
Section:     RM2
Key:         mfp
Type:        integer
Description: Frames policy mode for CSSR
Default:     1

Preference:  RM2_AbsolutelyPositionedElements
Depends on:  
Section:     RM2
Key:         ape
Type:        integer
Description: Absolutely positioned elements for CSSR
Default:     1

Preference:  RM2_AbsolutePositioning
Depends on:  
Section:     RM2
Key:         map
Type:        integer
Description: Absolute positioning for CSSR
Default:     1

Preference:  RM2_MediaStyleHandling
Depends on:  
Section:     RM2
Key:         msh
Type:        integer
Description: Media style handling for CSSR
Default:     1

Preference:  RM3_FlexibleFonts
Depends on:  
Section:     RM3
Key:         fxf
Type:        integer
Description: Flexible fonts mode for AMSR
Default:     RM3_FXF

Preference:  RM3_Small
Depends on:  
Section:     RM3
Key:         fsm
Type:        integer
Description: Font size in pixels for small for AMSR
Default:     RM3_FSM

Preference:  RM3_Medium
Depends on:  
Section:     RM3
Key:         fme
Type:        integer
Description: Font size in pixels for medium for AMSR
Default:     RM3_FME

Preference:  RM3_Large
Depends on:  
Section:     RM3
Key:         fla
Type:        integer
Description: Font size in pixels for large for AMSR
Default:     RM3_FLA

Preference:  RM3_XLarge
Depends on:  
Section:     RM3
Key:         fxl
Type:        integer
Description: Font size in pixels for x-large for AMSR
Default:     RM3_FXL

Preference:  RM3_XXLarge
Depends on:  
Section:     RM3
Key:         fxx
Type:        integer
Description: Font size in pixels for xx-large for AMSR
Default:     RM3_FXX

Preference:  RM3_ColumnStretch
Depends on:  
Section:     RM3
Key:         tcs
Type:        integer
Description: Column stretch mode for AMSR
Default:     0

Preference:  RM3_TableStrategy
Depends on:  
Section:     RM3
Key:         ttt
Type:        integer
Description: Table strategy for AMSR
Default:     2

Preference:  RM3_FlexibleColumns
Depends on:  
Section:     RM3
Key:         tfc
Type:        integer
Description: Enable Flexible columns for AMSR
Default:     1

Preference:  RM3_IgnoreRowspanWhenRestructuring
Depends on:  
Section:     RM3
Key:         tir
Type:        integer
Description: Ignore rowspan when restructuring the table for AMSR
Default:     0

Preference:  RM3_TableMagic
Depends on:  
Section:     RM3
Key:         ttm
Type:        integer
Description: Enable content magic for AMSR
Default:     RM3_TTM

Preference:  RM3_ShowImages
Depends on:  
Section:     RM3
Key:         isi
Type:        integer
Description: Show image mode for AMSR
Default:     RM3_ISI

Preference:  RM3_RemoveOrnamentalImages
Depends on:  
Section:     RM3
Key:         iro
Type:        integer
Description: Remove ornamental images for AMSR
Default:     0

Preference:  RM3_RemoveLargeImages
Depends on:  
Section:     RM3
Key:         irl
Type:        integer
Description: Remove large images for AMSR
Default:     RM3_IRL

Preference:  RM3_UseAltForCertainImages
Depends on:  
Section:     RM3
Key:         iua
Type:        integer
Description: Use alternative text for certain images for AMSR
Default:     0

Preference:  RM3_ShowIFrames
Depends on:  
Section:     RM3
Key:         rfu
Type:        integer
Description: Show iframes for AMSR
Default:     3

Preference:  RM3_FlexibleImageSizes
Depends on:  
Section:     RM3
Key:         ifs
Type:        integer
Description: Flexible replaced content sizes mode for AMSR
Default:     2

Preference:  RM3_AllowScrollbarsInIFrame
Depends on:  
Section:     RM3
Key:         asi
Type:        integer
Description: Allow scrollbar in iframes for AMSR
Default:     1

Preference:  RM3_MinimumImageWidth
Depends on:  
Section:     RM3
Key:         imw
Type:        integer
Description: Minimum image width in percent for AMSR
Default:     RM3_IMW

Preference:  RM3_Float
Depends on:  
Section:     RM3
Key:         ifl
Type:        integer
Description: Enable float for AMSR
Default:     1

Preference:  RM3_DownloadImagesAsap
Depends on:  
Section:     RM3
Key:         ida
Type:        integer
Description: Download images ASAP for AMSR
Default:     1

Preference:  RM3_ShowBackgroundImages
Depends on:  
Section:     RM3
Key:         ibs
Type:        integer
Description: Show background images for AMSR
Default:     1

Preference:  RM3_AllowAggressiveWordBreaking
Depends on:  
Section:     RM3
Key:         awb
Type:        integer
Description: Allow aggressive word breaking for AMSR
Default:     1

Preference:  RM3_SplitHideLongWords
Depends on:  
Section:     RM3
Key:         tsh
Type:        integer
Description: Split or hide long words for AMSR
Default:     1

Preference:  RM3_HonorNowrap
Depends on:  
Section:     RM3
Key:         thn
Type:        integer
Description: Honour nowrap for AMSR
Default:     1

Preference:  RM3_ConvertNbspIntoNormalSpace
Depends on:  
Section:     RM3
Key:         tcn
Type:        integer
Description: Convert nbsp into normal space for AMSR
Default:     1

Preference:  RM3_MinimumTextColorContrast
Depends on:  
Section:     RM3
Key:         tcc
Type:        integer
Description: Minimum text color contrast (0-255) for AMSR
Default:     70

Preference:  RM3_TextColorLight
Depends on:  
Section:     RM3
Key:         tcl
Type:        integer
Description: Light text color (24-bit RGB value) for AMSR
Default:     OP_RGB(255,255,255)

Preference:  RM3_TextColorDark
Depends on:  
Section:     RM3
Key:         tcd
Type:        integer
Description: Dark text color (24-bit RGB value) for AMSR
Default:     OP_RGB(0,0,0)

Preference:  RM3_HighlightBlocks
Depends on:  
Section:     RM3
Key:         shb
Type:        integer
Description: Highlight blocks for AMSR
Default:     0

Preference:  RM3_AvoidInterlaceFlicker
Depends on:  
Section:     RM3
Key:         aif
Type:        integer
Description: Avoid interlace flicker for AMSR
Default:     0

Preference:  RM3_HonorHidden
Depends on:  
Section:     RM3
Key:         mvd
Type:        integer
Description: Honour visibility:hidden and display:none for AMSR
Default:     0

Preference:  RM3_CrossoverSize
Depends on:  
Section:     RM3
Key:         mcs
Type:        integer
Description: Crossover size in pixels for AMSR
Default:     RM3_MCS

Preference:  RM3_AllowHorizontalScrollbar
Depends on:  
Section:     RM3
Key:         mas
Type:        integer
Description: Allow horizontal scrollbar for AMSR
Default:     0

Preference:  RM3_DownloadAndApplyDocumentStyleSheets
Depends on:  
Section:     RM3
Key:         mds
Type:        integer
Description: Download and apply document style sheets mode for AMSR
Default:     2

Preference:  RM3_ApplyModeSpecificTricks
Depends on:  
Section:     RM3
Key:         mst
Type:        integer
Description: Apply mode specific tricks for AMSR
Default:     3

Preference:  RM3_RespondToMediaType
Depends on:  
Section:     RM3
Key:         mrm
Type:        integer
Description: Media type to respond to for AMSR
Default:     0

Preference:  RM3_FramesPolicy
Depends on:  
Section:     RM3
Key:         mfp
Type:        integer
Description: Frames policy mode for AMSR
Default:     2

Preference:  RM3_AbsolutelyPositionedElements
Depends on:  
Section:     RM3
Key:         ape
Type:        integer
Description: Absolutely positioned elements for AMSR
Default:     2

Preference:  RM3_AbsolutePositioning
Depends on:  
Section:     RM3
Key:         map
Type:        integer
Description: Absolute positioning for AMSR
Default:     2

Preference:  RM3_MediaStyleHandling
Depends on:  
Section:     RM3
Key:         msh
Type:        integer
Description: Media style handling for AMSR
Default:     0

Preference:  RM4_FlexibleFonts
Depends on:  
Section:     RM4
Key:         fxf
Type:        integer
Description: Flexible fonts mode for MSR
Default:     RM4_FXF

Preference:  RM4_Small
Depends on:  
Section:     RM4
Key:         fsm
Type:        integer
Description: Font size in pixels for small for MSR
Default:     RM4_FSM

Preference:  RM4_Medium
Depends on:  
Section:     RM4
Key:         fme
Type:        integer
Description: Font size in pixels for medium for MSR
Default:     RM4_FME

Preference:  RM4_Large
Depends on:  
Section:     RM4
Key:         fla
Type:        integer
Description: Font size in pixels for large for MSR
Default:     RM4_FLA

Preference:  RM4_XLarge
Depends on:  
Section:     RM4
Key:         fxl
Type:        integer
Description: Font size in pixels for x-large for MSR
Default:     RM4_FXL

Preference:  RM4_XXLarge
Depends on:  
Section:     RM4
Key:         fxx
Type:        integer
Description: Font size in pixels for xx-large for MSR
Default:     RM4_FXX

Preference:  RM4_ColumnStretch
Depends on:  
Section:     RM4
Key:         tcs
Type:        integer
Description: Column stretch mode for MSR
Default:     0

Preference:  RM4_TableStrategy
Depends on:  
Section:     RM4
Key:         ttt
Type:        integer
Description: Table strategy for MSR
Default:     2

Preference:  RM4_FlexibleColumns
Depends on:  
Section:     RM4
Key:         tfc
Type:        integer
Description: Enable Flexible columns for MSR
Default:     0

Preference:  RM4_IgnoreRowspanWhenRestructuring
Depends on:  
Section:     RM4
Key:         tir
Type:        integer
Description: Ignore rowspan when restructuring the table for MSR
Default:     0

Preference:  RM4_TableMagic
Depends on:  
Section:     RM4
Key:         ttm
Type:        integer
Description: Enable content magic for MSR
Default:     RM4_TTM

Preference:  RM4_ShowImages
Depends on:  
Section:     RM4
Key:         isi
Type:        integer
Description: Show image mode for MSR
Default:     RM4_ISI

Preference:  RM4_RemoveOrnamentalImages
Depends on:  
Section:     RM4
Key:         iro
Type:        integer
Description: Remove ornamental images for MSR
Default:     0

Preference:  RM4_RemoveLargeImages
Depends on:  
Section:     RM4
Key:         irl
Type:        integer
Description: Remove large images for MSR
Default:     RM4_IRL

Preference:  RM4_UseAltForCertainImages
Depends on:  
Section:     RM4
Key:         iua
Type:        integer
Description: Use alternative text for certain images for MSR
Default:     0

Preference:  RM4_ShowIFrames
Depends on:  
Section:     RM4
Key:         rfu
Type:        integer
Description: Show iframes for MSR
Default:     3

Preference:  RM4_FlexibleImageSizes
Depends on:  
Section:     RM4
Key:         ifs
Type:        integer
Description: Flexible replaced content sizes mode for MSR
Default:     2

Preference:  RM4_AllowScrollbarsInIFrame
Depends on:  
Section:     RM4
Key:         asi
Type:        integer
Description: Allow scrollbar in iframes for MSR
Default:     1

Preference:  RM4_MinimumImageWidth
Depends on:  
Section:     RM4
Key:         imw
Type:        integer
Description: Minimum image width in percent for MSR
Default:     RM4_IMW

Preference:  RM4_Float
Depends on:  
Section:     RM4
Key:         ifl
Type:        integer
Description: Enable float for MSR
Default:     1

Preference:  RM4_DownloadImagesAsap
Depends on:  
Section:     RM4
Key:         ida
Type:        integer
Description: Download images ASAP for MSR
Default:     1

Preference:  RM4_ShowBackgroundImages
Depends on:  
Section:     RM4
Key:         ibs
Type:        integer
Description: Show background images for MSR
Default:     2

Preference:  RM4_AllowAggressiveWordBreaking
Depends on:  
Section:     RM4
Key:         awb
Type:        integer
Description: Allow aggressive word breaking for MSR
Default:     1

Preference:  RM4_SplitHideLongWords
Depends on:  
Section:     RM4
Key:         tsh
Type:        integer
Description: Split or hide long words for MSR
Default:     1

Preference:  RM4_HonorNowrap
Depends on:  
Section:     RM4
Key:         thn
Type:        integer
Description: Honour nowrap for MSR
Default:     1

Preference:  RM4_ConvertNbspIntoNormalSpace
Depends on:  
Section:     RM4
Key:         tcn
Type:        integer
Description: Convert nbsp into normal space for MSR
Default:     0

Preference:  RM4_MinimumTextColorContrast
Depends on:  
Section:     RM4
Key:         tcc
Type:        integer
Description: Minimum text color contrast (0-255) for MSR
Default:     70

Preference:  RM4_TextColorLight
Depends on:  
Section:     RM4
Key:         tcl
Type:        integer
Description: Light text color (24-bit RGB value) for MSR
Default:     OP_RGB(255,255,255)

Preference:  RM4_TextColorDark
Depends on:  
Section:     RM4
Key:         tcd
Type:        integer
Description: Dark text color (24-bit RGB value) for MSR
Default:     OP_RGB(0,0,0)

Preference:  RM4_HighlightBlocks
Depends on:  
Section:     RM4
Key:         shb
Type:        integer
Description: Highlight blocks for MSR
Default:     0

Preference:  RM4_AvoidInterlaceFlicker
Depends on:  
Section:     RM4
Key:         aif
Type:        integer
Description: Avoid interlace flicker for MSR
Default:     0

Preference:  RM4_HonorHidden
Depends on:  
Section:     RM4
Key:         mvd
Type:        integer
Description: Honour visibility:hidden and display:none for MSR
Default:     0

Preference:  RM4_CrossoverSize
Depends on:  
Section:     RM4
Key:         mcs
Type:        integer
Description: Crossover size in pixels for MSR
Default:     RM4_MCS

Preference:  RM4_AllowHorizontalScrollbar
Depends on:  
Section:     RM4
Key:         mas
Type:        integer
Description: Allow horizontal scrollbar for MSR
Default:     1

Preference:  RM4_DownloadAndApplyDocumentStyleSheets
Depends on:  
Section:     RM4
Key:         mds
Type:        integer
Description: Download and apply document style sheets mode for MSR
Default:     2

Preference:  RM4_ApplyModeSpecificTricks
Depends on:  
Section:     RM4
Key:         mst
Type:        integer
Description: Apply mode specific tricks for MSR
Default:     4

Preference:  RM4_RespondToMediaType
Depends on:  
Section:     RM4
Key:         mrm
Type:        integer
Description: Media type to respond to for MSR
Default:     0

Preference:  RM4_FramesPolicy
Depends on:  
Section:     RM4
Key:         mfp
Type:        integer
Description: Frames policy mode for MSR
Default:     2

Preference:  RM4_AbsolutelyPositionedElements
Depends on:  
Section:     RM4
Key:         ape
Type:        integer
Description: Absolutely positioned elements for MSR
Default:     2

Preference:  RM4_AbsolutePositioning
Depends on:  
Section:     RM4
Key:         map
Type:        integer
Description: Absolute positioning for MSR
Default:     2

Preference:  RM4_MediaStyleHandling
Depends on:  
Section:     RM4
Key:         msh
Type:        integer
Description: Media style handling for MSR
Default:     0

Preference:  RM5_FlexibleFonts
Depends on:  TV_RENDERING
Section:     RM5
Key:         fxf
Type:        integer
Description: Flexible fonts mode for TVR
Default:     RM5_FXF

Preference:  RM5_Small
Depends on:  TV_RENDERING
Section:     RM5
Key:         fsm
Type:        integer
Description: Font size in pixels for small for TVR
Default:     RM5_FSM

Preference:  RM5_Medium
Depends on:  TV_RENDERING
Section:     RM5
Key:         fme
Type:        integer
Description: Font size in pixels for medium for TVR
Default:     RM5_FME

Preference:  RM5_Large
Depends on:  TV_RENDERING
Section:     RM5
Key:         fla
Type:        integer
Description: Font size in pixels for large for TVR
Default:     RM5_FLA

Preference:  RM5_XLarge
Depends on:  TV_RENDERING
Section:     RM5
Key:         fxl
Type:        integer
Description: Font size in pixels for x-large for TVR
Default:     RM5_FXL

Preference:  RM5_XXLarge
Depends on:  TV_RENDERING
Section:     RM5
Key:         fxx
Type:        integer
Description: Font size in pixels for xx-large for TVR
Default:     RM5_FXX

Preference:  RM5_ColumnStretch
Depends on:  TV_RENDERING
Section:     RM5
Key:         tcs
Type:        integer
Description: Column stretch mode for TVR
Default:     0

Preference:  RM5_TableStrategy
Depends on:  TV_RENDERING
Section:     RM5
Key:         ttt
Type:        integer
Description: Table strategy for TVR
Default:     2

Preference:  RM5_FlexibleColumns
Depends on:  TV_RENDERING
Section:     RM5
Key:         tfc
Type:        integer
Description: Enable Flexible columns for TVR
Default:     1

Preference:  RM5_IgnoreRowspanWhenRestructuring
Depends on:  TV_RENDERING
Section:     RM5
Key:         tir
Type:        integer
Description: Ignore rowspan when restructuring the table for TVR
Default:     0

Preference:  RM5_TableMagic
Depends on:  TV_RENDERING
Section:     RM5
Key:         ttm
Type:        integer
Description: Enable content magic for TVR
Default:     RM5_TTM

Preference:  RM5_ShowImages
Depends on:  TV_RENDERING
Section:     RM5
Key:         isi
Type:        integer
Description: Show image mode for TVR
Default:     RM5_ISI

Preference:  RM5_RemoveOrnamentalImages
Depends on:  TV_RENDERING
Section:     RM5
Key:         iro
Type:        integer
Description: Remove ornamental images for TVR
Default:     0

Preference:  RM5_RemoveLargeImages
Depends on:  TV_RENDERING
Section:     RM5
Key:         irl
Type:        integer
Description: Remove large images for TVR
Default:     RM5_IRL

Preference:  RM5_UseAltForCertainImages
Depends on:  TV_RENDERING
Section:     RM5
Key:         iua
Type:        integer
Description: Use alternative text for certain images for TVR
Default:     0

Preference:  RM5_ShowIFrames
Depends on:  TV_RENDERING
Section:     RM5
Key:         rfu
Type:        integer
Description: Show iframes for TVR
Default:     3

Preference:  RM5_FlexibleImageSizes
Depends on:  TV_RENDERING
Section:     RM5
Key:         ifs
Type:        integer
Description: Flexible replaced content sizes mode for TVR
Default:     2

Preference:  RM5_AllowScrollbarsInIFrame
Depends on:  TV_RENDERING
Section:     RM5
Key:         asi
Type:        integer
Description: Allow scrollbar in iframes for TVR
Default:     1

Preference:  RM5_MinimumImageWidth
Depends on:  TV_RENDERING
Section:     RM5
Key:         imw
Type:        integer
Description: Minimum image width in percent for TVR
Default:     RM5_IMW

Preference:  RM5_Float
Depends on:  TV_RENDERING
Section:     RM5
Key:         ifl
Type:        integer
Description: Enable float for TVR
Default:     1

Preference:  RM5_DownloadImagesAsap
Depends on:  TV_RENDERING
Section:     RM5
Key:         ida
Type:        integer
Description: Download images ASAP for TVR
Default:     1

Preference:  RM5_ShowBackgroundImages
Depends on:  TV_RENDERING
Section:     RM5
Key:         ibs
Type:        integer
Description: Show background images for TVR
Default:     1

Preference:  RM5_AllowAggressiveWordBreaking
Depends on:  TV_RENDERING
Section:     RM5
Key:         awb
Type:        integer
Description: Allow aggressive word breaking for TVR
Default:     1

Preference:  RM5_SplitHideLongWords
Depends on:  TV_RENDERING
Section:     RM5
Key:         tsh
Type:        integer
Description: Split or hide long words for TVR
Default:     1

Preference:  RM5_HonorNowrap
Depends on:  TV_RENDERING
Section:     RM5
Key:         thn
Type:        integer
Description: Honour nowrap for TVR
Default:     1

Preference:  RM5_ConvertNbspIntoNormalSpace
Depends on:  TV_RENDERING
Section:     RM5
Key:         tcn
Type:        integer
Description: Convert nbsp into normal space for TVR
Default:     1

Preference:  RM5_MinimumTextColorContrast
Depends on:  TV_RENDERING
Section:     RM5
Key:         tcc
Type:        integer
Description: Minimum text color contrast (0-255) for TVR
Default:     60

Preference:  RM5_TextColorLight
Depends on:  TV_RENDERING
Section:     RM5
Key:         tcl
Type:        integer
Description: Light text color (24-bit RGB value) for TVR
Default:     OP_RGB(240,240,240)

Preference:  RM5_TextColorDark
Depends on:  TV_RENDERING
Section:     RM5
Key:         tcd
Type:        integer
Description: Dark text color (24-bit RGB value) for TVR
Default:     OP_RGB(0,0,0)

Preference:  RM5_HighlightBlocks
Depends on:  TV_RENDERING
Section:     RM5
Key:         shb
Type:        integer
Description: Highlight blocks for TVR
Default:     0

Preference:  RM5_AvoidInterlaceFlicker
Depends on:  TV_RENDERING
Section:     RM5
Key:         aif
Type:        integer
Description: Avoid interlace flicker for TVR
Default:     1

Preference:  RM5_HonorHidden
Depends on:  TV_RENDERING
Section:     RM5
Key:         mvd
Type:        integer
Description: Honour visibility:hidden and display:none for TVR
Default:     0

Preference:  RM5_CrossoverSize
Depends on:  TV_RENDERING
Section:     RM5
Key:         mcs
Type:        integer
Description: Crossover size in pixels for TVR
Default:     0

Preference:  RM5_AllowHorizontalScrollbar
Depends on:  TV_RENDERING
Section:     RM5
Key:         mas
Type:        integer
Description: Allow horizontal scrollbar for TVR
Default:     0

Preference:  RM5_DownloadAndApplyDocumentStyleSheets
Depends on:  TV_RENDERING
Section:     RM5
Key:         mds
Type:        integer
Description: Download and apply document style sheets mode for TVR
Default:     2

Preference:  RM5_ApplyModeSpecificTricks
Depends on:  TV_RENDERING
Section:     RM5
Key:         mst
Type:        integer
Description: Apply mode specific tricks for TVR
Default:     5

Preference:  RM5_RespondToMediaType
Depends on:  TV_RENDERING
Section:     RM5
Key:         mrm
Type:        integer
Description: Media type to respond to for TVR
Default:     2

Preference:  RM5_FramesPolicy
Depends on:  TV_RENDERING
Section:     RM5
Key:         mfp
Type:        integer
Description: Frames policy mode for TVR
Default:     2

Preference:  RM5_AbsolutelyPositionedElements
Depends on:  TV_RENDERING
Section:     RM5
Key:         ape
Type:        integer
Description: Absolutely positioned elements for TVR
Default:     2

Preference:  RM5_AbsolutePositioning
Depends on:  TV_RENDERING
Section:     RM5
Key:         map
Type:        integer
Description: Absolute positioning for TVR
Default:     2

Preference:  RM5_MediaStyleHandling
Depends on:  TV_RENDERING
Section:     RM5
Key:         msh
Type:        integer
Description: Media style handling for TVR
Default:     0

Preference:  RTLFlipsUI
Depends on:  SUPPORT_TEXT_DIRECTION
Section:     User Prefs
Key:         RTL Flips UI
Type:        boolean
Description: Move scrollbars and other UI elements to the opposite side when displaying right-to-left content.
Default:     TRUE

Preference:  LeftHandedUI
Depends on:
Section:     User Prefs
Key:         Left-handed UI
Type:        boolean
Description: Position UI elements for southpaws. Intended for use on tablet/pen-input devices.
Default:     FALSE

Preference:  ShowIMEPassword
Depends on:  SUPPORT_IME_PASSWORD_INPUT
Section:     User Prefs
Key:         Show IME Password
Type:        boolean
Description: Make the last character visible for short time.
Default:     TRUE

Preference:  DefaultLineHeightGeneral
Depends on:  ENCODING_DRIVEN_LINE_HEIGHT
Section:     User Prefs
Key:	     Default Line Height General
Type:        integer
Description: Line height to use for pages not covered by the following preferences, when line height is not explicitly specified. Values >= 0 represent the line height in relation to the font height in permille, e.g 1200 for 1.2. Use -1 for default line height.
Default:     -1

Preference:  DefaultLineHeightTraditionalChinese
Depends on:  ENCODING_DRIVEN_LINE_HEIGHT
Section:     User Prefs
Key:	     Default Line Height Traditional Chinese
Type:        integer
Description: Line height to use for pages encoded with a traditional Chinese encoding, when line height is not explicitly specified. Values >= 0 represent the line height in relation to the font height in permille, e.g 1200 for 1.2. Use -1 for default line height.
Default:     1200

Preference:  DefaultLineHeightSimplifiedChinese
Depends on:  ENCODING_DRIVEN_LINE_HEIGHT
Section:     User Prefs
Key:	     Default Line Height Simplified Chinese
Type:        integer
Description: Line height to use for pages encoded with a simplified Chinese encoding, when line height is not explicitly specified. Values >= 0 represent the line height in relation to the font height in permille, e.g 1200 for 1.2. Use -1 for default line height.
Default:     1200

Preference:  DefaultLineHeightJapanese
Depends on:  ENCODING_DRIVEN_LINE_HEIGHT
Section:     User Prefs
Key:	     Default Line Height Japanese
Type:        integer
Description: Line height to use for pages encoded with a Japanese encoding, when line height is not explicitly specified. Values >= 0 represent the line height in relation to the font height in permille, e.g 1200 for 1.2. Use -1 for default line height.
Default:     1200

Preference:  DefaultLineHeightKorean
Depends on:  ENCODING_DRIVEN_LINE_HEIGHT
Section:     User Prefs
Key:	     Default Line Height Korean
Type:        integer
Description: Line height to use for pages encoded with a Korean encoding, when line height is not explicitly specified. Values >= 0 represent the line height in relation to the font height in permille, e.g 1200 for 1.2. Use -1 for default line height.
Default:     -1

Preference:  DefaultLineHeightCyrillic
Depends on:  ENCODING_DRIVEN_LINE_HEIGHT
Section:     User Prefs
Key:	     Default Line Height Cyrillic
Type:        integer
Description: Line height to use for pages encoded with a Cyrillic encoding, when line height is not explicitly specified. Values >= 0 represent the line height in relation to the font height in permille, e.g 1200 for 1.2. Use -1 for default line height.
Default:     -1

Preference:  EnableOnDemandPlugin
Depends on:  ON_DEMAND_PLUGIN
Section:     User Prefs
Key:         Enable On Demand Plugin
Type:        boolean
Description: Enable not loading plugins until activated by the user
Default:     FALSE

Preference:  EnableOnDemandPluginPlaceholder
Depends on:  ON_DEMAND_PLUGIN
Section:     User Prefs
Key:         Enable On Demand Plugin Placeholder
Type:        boolean
Description: Enable displaying an image as placeholder for on demand plugins
Default:     DEFAULT_PLUGIN_PLACEHOLDER

Preference:  EnableWebfonts
Depends on:  
Section:     User Prefs
Key:         Enable Webfonts
Type:        boolean
Description: Enable downloadable fonts
Default:     DEFAULT_ENABLE_WEBFONTS

Preference:  FormatUnstyledXML
Depends on:  FORMAT_UNSTYLED_XML
Section:     User Prefs
Key:         Format Unstyled XML
Type:        boolean
Description: Enables pretty printing of unstyled XML
Default:     TRUE

Preference:  AltImageBorderEnabled
Depends on:
Section:     User Prefs
Key:         Alt Image Border
Type:        boolean
Description: Enables border for image ALT texts.
Default:     TRUE

Preference:  ReparseFailedXHTML
Depends on:  !defined USE_HTML_PARSER_FOR_XML
Section:     User Prefs
Key:         Automatically reparse XHTML with parsing errors as HTML
Type:        boolean
Description: If parsing errors occured during parsing XHTML, automatically reparse document as HTML
Default:     DEFAULT_FALLBACK_TO_REPARSE_XHTML_AS_HTML

Preference:  PasswordCharacterPlaceholder
Depends on:
Section:     User Prefs
Key:         Password Character Placeholder
Type:        string
Description: The UNICODE character to use as a placeholder for password fields. Only the first character will be used.
Default:     WIDGETS_PASSWORD_CHAR

Preference:  DisableHighlightUponOutline
Depends on:  SKIN_HIGHLIGHTED_ELEMENT
Section:     User Prefs
Key:         Disable Highlight Upon Outline
Type:        boolean
Description: When TRUE, a navigated element won't be highlighted if it has an invisible outline that is explicitly set in some style sheet. Invisible outline means 'outline:none' or an outline that has zero width.
Default:     DEFAULT_DISABLE_HIGHLIGHT_UPON_OUTLINE

.eof
